#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Sub
%define	pnam	Exporter
Summary:	Sub::Exporter - a sophisticated exporter for custom-built routines
Summary(pl.UTF-8):	Sub::Exporter - wymyślny eksporter dla własnych funkcji
Name:		perl-Sub-Exporter
Version:	0.987
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sub/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5332d269a7ba387773fcd140b72a0ed2
URL:		http://search.cpan.org/dist/Sub-Exporter/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.30
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Data-OptList >= 0.100
BuildRequires:	perl-Package-Generator
BuildRequires:	perl-Params-Util >= 0.14
BuildRequires:	perl-Sub-Install >= 0.92
BuildRequires:	perl-Test-Simple >= 0.96
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The biggest benefit of Sub::Exporter over existing exporters
(including the ubiquitous Exporter.pm) is its ability to build new
coderefs for export, rather than to simply export code identical to
that found in the exporting package.

%description -l pl.UTF-8
Największą zaletą modułu Sub::Exporter w stosunku do istniejących
wcześniej eksporterów (wraz z wszechobecnym Exporter.pm) jest
możliwość budowania nowych coderefów do exportowania zamiast zwykłego
eksportowania kodu identycznego do tego, jaki można znaleźć w
eksportowanym pakiecie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# exist as man
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Sub/Exporter/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Sub/Exporter.pm
%dir %{perl_vendorlib}/Sub/Exporter
%{perl_vendorlib}/Sub/Exporter/*.pm
%{_mandir}/man3/Sub::Exporter*.3pm*
%changelog
* Fri Jan 08 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sub-Exporter.git;a=log;h=master

* Fri Jan 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 803e166
- updated to 0.987

* Thu Jun 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 12d2d96
- updated to 0.986

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> b3babf0
- up to 0.985

* Tue Feb 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 7e68803
- use package names where possible
- files cleanup

* Fri Aug 21 2009 amateja <amateja@pld-linux.org> 9ad58a8
- updated to 0.982

* Thu May 01 2008 radek <radek@pld-linux.org> 2cb7bd1
- version 0.979, include Util.pm

* Sat Jun 02 2007 Jakub Bogusz <qboosh@pld-linux.org> daa6e39
- pl
- generic URL

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> 5d1de8f
- initial, 0.974, rel 1, builds here

